> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Model API version

> Creates a Model API Version for a Model API.



## OpenAPI

````yaml /api-specs/cloud/public-api.json post /api/modelServing/v1/modelApis/{modelApiId}/versions
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/modelServing/v1/modelApis/{modelApiId}/versions:
    post:
      tags:
        - Model APIs
      description: Creates a Model API Version for a Model API.
      operationId: createModelApiVersion
      parameters:
        - description: The id of the Model API to create the version for.
          in: path
          name: modelApiId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModelApiVersionCreationRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelApiVersion'
          description: The created Model API Version.
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    ModelApiVersionCreationRequest:
      properties:
        commitId:
          description: The id of the commit id of the Model API Version to create.
          nullable: false
          type: string
        description:
          description: The description for the Model API Version to create.
          nullable: false
          type: string
        environmentId:
          description: The id of the environment to deploy the Model API Version with.
          nullable: false
          type: string
        logHttpRequestResponse:
          description: >-
            Whether the Model API Version to create should log HTTP requests and
            responses.
          nullable: false
          type: boolean
        monitoringEnabled:
          description: >-
            Whether the Model API Version to create should have monitoring
            enabled.
          nullable: false
          type: boolean
        predictionDatasetResourceId:
          description: >-
            The id of the prediction dataset to be used by the Model API Version
            to create.
          nullable: true
          type: string
        projectId:
          description: >-
            The id of the project the Model API Version to create should belong
            to.
          nullable: false
          type: string
        provenanceCheckpointId:
          description: >-
            The id of the provenance checkpoint of the Model API Version to
            create.
          nullable: false
          type: string
        recordInvocation:
          description: Whether the Model API Version to create should record invocations.
          nullable: false
          type: boolean
        shouldDeploy:
          description: Whether the Model API Version to create should be deployed.
          nullable: false
          type: boolean
        source:
          $ref: '#/components/schemas/ModelApiSource'
      required:
        - projectId
        - source
        - logHttpRequestResponse
        - monitoringEnabled
    ModelApiVersion:
      properties:
        bundleId:
          description: The ID of the bundle governing the model API to create.
          nullable: true
          pattern: ^[0-9a-f]{24}$
          type: string
        commitId:
          description: The id of the commit of the Model API Version.
          nullable: false
          type: string
        dataPlaneId:
          description: The id of the data plane the Model API Version is deployed to.
          nullable: false
          type: string
        deployment:
          $ref: '#/components/schemas/ModelApiVersionDeployment'
        description:
          description: The description of the Model API Version.
          nullable: false
          type: string
        environmentRevisionId:
          description: >-
            The id of the environment revision the Model API Version is deployed
            on.
          nullable: false
          type: string
        id:
          description: The id of the Model API Version.
          nullable: false
          type: string
        labels:
          description: The labels of the Model API Version.
          items:
            type: string
          type: array
        logHttpRequestResponse:
          description: >-
            Whether the Model API Version should log the HTTP requests and
            responses.
          nullable: false
          type: boolean
        metadata:
          $ref: '#/components/schemas/ModelApiVersionMetadata'
        modelApiId:
          description: The id of the Model API the version belongs to.
          nullable: false
          type: string
        monitoringEnabled:
          description: Whether monitoring is enabled for the Mode API Version.
          nullable: false
          type: boolean
        number:
          description: The version number of the Model API Version.
          nullable: false
          type: integer
        predictionDatasetResourceId:
          description: The id of the prediction dataset used by the Model API Version.
          nullable: true
          type: string
        projectId:
          description: The id of the project the Model API Version belongs to.
          nullable: false
          type: string
        provenanceCheckpointId:
          description: The id of the provenance checkpoint of the Model API Version.
          nullable: true
          type: string
        recordInvocation:
          description: Whether the Model API Version should record invocations.
          nullable: false
          type: boolean
        source:
          $ref: '#/components/schemas/ModelApiSource'
      required:
        - id
        - modelApiId
        - projectId
        - source
        - commitId
        - dataPlaneId
        - environmentRevisionId
        - logHttpRequestResponse
        - monitoringEnabled
        - recordInvocation
        - labels
        - metadata
    ModelApiSource:
      properties:
        excludeFiles:
          description: The files excluded from the Model API.
          items:
            type: string
          type: array
        file:
          description: The name of the source file of the model served by the Model API.
          nullable: false
          type: string
        function:
          description: The function used to call the model served by the Model API.
          nullable: false
          type: string
        registeredModelName:
          description: The name of the registered model served by the Model API.
          nullable: false
          type: string
        registeredModelVersion:
          description: The version of the registered model served by the Model API.
          nullable: false
          type: integer
        type:
          description: The type of source of the Model API.
          enum:
            - File
            - Registry
          nullable: false
          type: string
      required:
        - type
    ModelApiVersionDeployment:
      properties:
        isPending:
          description: Whether the Model API Version deployment is pending.
          nullable: false
          type: boolean
        status:
          description: The status of the Model API Version deployment.
          nullable: false
          type: string
      required:
        - status
        - isPending
    ModelApiVersionMetadata:
      properties:
        created:
          description: The date when the Model API was created Version.
          nullable: false
          type: number
        createdBy:
          description: The id of the user that created the Model API Version.
          nullable: false
          type: string
        summary:
          description: The summary of the Model API Version.
          nullable: true
          type: string
      required:
        - created
        - createdBy
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Create Model API](/api-reference/model-apis/post-apimodelservingv1modelapis.md)
- [[DEPRECATED] Create a new version of a Registered Model](/api-reference/registered-models/[deprecated]-create-a-new-version-of-a-registered-model.md)
- [Get Model API version](/api-reference/model-apis/get-apimodelservingv1modelapis-versions-1.md)
- [List Model API versions](/api-reference/model-apis/get-apimodelservingv1modelapis-versions.md)
